#!/bin/bash
# for debbuging only: set -x
if [ ! -r /usr/src/linux/include/linux/version.h ]
then
   echo ""
   echo "File /usr/src/linux/include/linux/version.h not" >&2
   echo "found or not readable"
   echo ""
   IFS="$IFS.\""
   set `uname -r`
   R1=$1
   R2=$2
   R3=$3
else
   set `grep UTS_RELEASE /usr/src/linux/include/linux/version.h`
   IFS="$IFS.\""
   if [ ".$3" != "." ]
   then
      set $3
      R1=$2
      R2=$3
      R3=$4
   else
      echo "Can not determine kernel source version"
      echo "Assuming 2.2.x"
      R1=2
      R2=2
      R3=x
   fi
fi
if [ $R1 -eq 2 ] && [ $R2 -ge 2 ]
then
   if [ $R2 -gt 2 ]
   then
         echo "WARNING: This driver has only be tested with kernel"
         echo "         version 2.2.x. Higher kernel versions may"
         echo "         work, but there is no guarantee"
         echo " "
   fi
   if [ ! -r /usr/src/linux/.config ]
   then
      echo ""
      echo "File /usr/src/linux/.config not found or not readable" >&2
      echo ""
      SMP="n"
   else
      if [ "\"`grep CONFIG_SMP /usr/src/linux/.config`\"" = "\"CONFIG_SMP=y\"" ]
      then
         SMP="y"
      else
         SMP="n"
      fi
   fi
   if [ $SMP = "y" ]
   then
      echo "Compiling for Linux 2.$R2.$R3 SMP"
   else
      echo "Compiling for Linux 2.$R2.$R3 Single Processor"
   fi
else if [ $R1 -eq 2 ] && [ $R2 -eq 0 ]
then
   echo "Compiling for Linux 2.0.$R3"
else
   echo "***********************************************************"
   echo "This kernel version is not supported. You should use a
   echo "2.0.x or >= 2.2.x kernel.
   echo "***********************************************************"
fi
fi

exit 0

